import type { NodePlopAPI } from 'node-plop';
import { ActionConfig } from 'node-plop';
export declare enum DesignSystemActionType {
    analyzeComponentUsage = "Analyzed component usage",
    switchPrefixes = "Switching design system prefixes"
}
export declare namespace DesignSystemActionConfig {
    interface AnalyzeComponentUsage extends ActionConfig {
        get directory(): string;
    }
    interface SwitchPrefixes extends ActionConfig {
        get filePath(): string;
        get newPrefix(): string;
        get oldCustomPrefix(): string;
    }
}
export declare namespace DesignSystemActions {
    const analyzeComponentUsage: (directory: string) => void;
    const switchPrefixes: (filePath: string, newPrefix: string, oldCustomPrefix?: string) => void;
}
export declare const setActionTypes: (plop: NodePlopAPI) => void;
//# sourceMappingURL=designSystem.d.ts.map