"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setActionTypes = exports.NpmActions = exports.NpmActionType = void 0;
const tslib_1 = require("tslib");
const child_process_1 = require("child_process");
var NpmActionType;
(function (NpmActionType) {
    NpmActionType["install"] = "Install";
})(NpmActionType = exports.NpmActionType || (exports.NpmActionType = {}));
var NpmActions;
(function (NpmActions) {
    NpmActions.install = (directory, verbose) => tslib_1.__awaiter(this, void 0, void 0, function* () {
        if (!directory) {
            throw new Error(`Invalid directory information, unable to run npm install: ${directory}`);
        }
        const spawnOptions = verbose
            ? {
                cwd: directory,
                shell: true,
                stdio: 'inherit',
            }
            : {
                cwd: directory,
                shell: true,
            };
        const didSucceed = (code) => `${code}` === '0';
        return new Promise((resolve, reject) => {
            const npmI = (0, child_process_1.spawn)('npm', ['install'], spawnOptions);
            npmI
                .on('close', (code) => {
                if (didSucceed(code)) {
                    resolve(`success.`);
                    return;
                }
                reject(new Error(`failed, exit code ${code}.`));
            })
                .on('error', (code) => {
                reject(new Error(`failed, exit code ${code}.`));
            });
        });
    });
})(NpmActions = exports.NpmActions || (exports.NpmActions = {}));
const setActionTypes = (plop) => {
    plop.setActionType(NpmActionType.install, (answers, config) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const { directory, verbose } = config;
        const status = yield NpmActions.install(directory, verbose);
        return status;
    }));
};
exports.setActionTypes = setActionTypes;
