"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultGeneratorMapper = exports.generatorChain = void 0;
const tslib_1 = require("tslib");
const generator_1 = require("../actions/generator");
const generatorChain = (plop, description, generators, bypass, actions = [' Done.']) => {
    return {
        description,
        prompts(inquirer, prevAns = {}) {
            return tslib_1.__awaiter(this, void 0, void 0, function* () {
                let allAns = Object.assign({}, prevAns);
                for (const generator of generators) {
                    const [data, outcome] = yield generator_1.GeneratorActions.run(generator, allAns, plop, bypass);
                    allAns = Object.assign(Object.assign({}, allAns), data);
                }
                return allAns;
            });
        },
        actions,
    };
};
exports.generatorChain = generatorChain;
const defaultGeneratorMapper = (generator) => generator;
exports.defaultGeneratorMapper = defaultGeneratorMapper;
