import type { BinCmdKey, TokenType } from '../types';
export declare const encryptionKey = "publicSeedsPleaseGenesis";
interface StoreKeys {
    external: string;
    binCmdKey: string;
    version: string;
    jfrogUsername: string;
    jfrogToken: string;
    jfrogTokenExpiry: string;
    jfrogTokenType: string;
}
export interface ConfigStore {
    keys: StoreKeys;
    values: {
        external: boolean;
        binCmdKey: BinCmdKey;
        version: string;
        jfrog: {
            username: string;
            token: string;
            tokenExpiry: string;
            tokenType: TokenType;
            clearToken(): void;
        };
    };
    getValue<T = unknown>(key: string): T;
    setValue<T = unknown>(key: string, value: T): void;
    deleteValue(key: string): void;
}
export declare const configStore: ConfigStore;
export {};
//# sourceMappingURL=index.d.ts.map